Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class MultiDOM

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.MultiDOM

public final class MultiDOM
extends java.lang.Object
implements DOM

Constructor Summary
`MultiDOM(DOM main)`

Method Summary
`int` | `addDOMAdapter(DOMAdapter dom)`
`void` | `characters(int textNode, TransletOutputHandler handler)`
`void` | `copy(int node, TransletOutputHandler handler)`
`void` | `copy(NodeIterator nodes, TransletOutputHandler handler)`
`int` | `getAttributeNode(int type, int el)`
`NodeIterator` | `getAxisIterator(int axis)`
`NodeIterator` | `getChildren(int node)`
`int` | `getDocumentMask(java.lang.String uri)`
`java.lang.String` | `getDocumentURI(int node)`
`NodeIterator` | `getIterator()` Returns singleton iterator containg the document root
`java.lang.String` | `getLanguage(int node)`
`NodeIterator` | `getNamespaceAxisIterator(int axis, int ns)`
`java.lang.String` | `getNamespaceName(int node)`
`int` | `getNamespaceType(int node)`
`java.lang.String` | `getNodeName(int node)`
`java.lang.String` | `getNodeValue(int node)`
`NodeIterator` | `getNodeValueIterator(NodeIterator iterator, int type, java.lang.String value, boolean op)`
`NodeIterator` | `getNthDescendant(int node, int n, boolean includeself)`
`int` | `getParent(int node)`
`int` | `getSize()`
`java.lang.String` | `getStringValue()`
`java.lang.String` | `getTreeString()`
`int` | `getType(int node)`
`NodeIterator` | `getTypedAxisIterator(int axis, int type)`
`NodeIterator` | `getTypedChildren(int type)`
`boolean` | `isAttribute(int node)`
`boolean` | `isElement(int node)`
`boolean` | `lessThan(int node1, int node2)`
`java.lang.String` | `lookupNamespace(int node, java.lang.String prefix)`
`Node` | `makeNode(int index)`
`Node` | `makeNode(NodeIterator iter)`
`NodeList` | `makeNodeList(int index)`
`NodeList` | `makeNodeList(NodeIterator iter)`
`int` | `nextMask()`
`NodeIterator` | `orderNodes(NodeIterator source, int node)`
`void` | `setFilter(StripFilter filter)`
`void` | `setupMapping(java.lang.String[] names, java.lang.String[] namespaces)`
`java.lang.String` | `shallowCopy(int node, TransletOutputHandler handler)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiDOM

    public MultiDOM(DOM main)

Method Detail

### nextMask

    public int nextMask()

### setupMapping

    public void setupMapping(java.lang.String[] names,
                             java.lang.String[] namespaces)

  Specified by:
    setupMapping in interface DOM

### addDOMAdapter

    public int addDOMAdapter(DOMAdapter dom)

### getDocumentMask

    public int getDocumentMask(java.lang.String uri)

### getIterator

    public NodeIterator getIterator()

  Returns singleton iterator containg the document root
  Specified by:
    getIterator in interface DOM

### getStringValue

    public java.lang.String getStringValue()

  Specified by:
    getStringValue in interface DOM

### getTreeString

    public java.lang.String getTreeString()

  Specified by:
    getTreeString in interface DOM

### getChildren

    public NodeIterator getChildren(int node)

  Specified by:
    getChildren in interface DOM

### getTypedChildren

    public NodeIterator getTypedChildren(int type)

  Specified by:
    getTypedChildren in interface DOM

### getAxisIterator

    public NodeIterator getAxisIterator(int axis)

  Specified by:
    getAxisIterator in interface DOM

### getTypedAxisIterator

    public NodeIterator getTypedAxisIterator(int axis,
                                             int type)

  Specified by:
    getTypedAxisIterator in interface DOM

### getNthDescendant

    public NodeIterator getNthDescendant(int node,
                                         int n,
                                         boolean includeself)

  Specified by:
    getNthDescendant in interface DOM

### getNodeValueIterator

    public NodeIterator getNodeValueIterator(NodeIterator iterator,
                                             int type,
                                             java.lang.String value,
                                             boolean op)

  Specified by:
    getNodeValueIterator in interface DOM

### getNamespaceAxisIterator

    public NodeIterator getNamespaceAxisIterator(int axis,
                                                 int ns)

  Specified by:
    getNamespaceAxisIterator in interface DOM

### orderNodes

    public NodeIterator orderNodes(NodeIterator source,
                                   int node)

  Specified by:
    orderNodes in interface DOM

### getType

    public int getType(int node)

  Specified by:
    getType in interface DOM

### getNamespaceType

    public int getNamespaceType(int node)

  Specified by:
    getNamespaceType in interface DOM

### getParent

    public int getParent(int node)

  Specified by:
    getParent in interface DOM

### getAttributeNode

    public int getAttributeNode(int type,
                                int el)

  Specified by:
    getAttributeNode in interface DOM

### getNodeName

    public java.lang.String getNodeName(int node)

  Specified by:
    getNodeName in interface DOM

### getNamespaceName

    public java.lang.String getNamespaceName(int node)

  Specified by:
    getNamespaceName in interface DOM

### getNodeValue

    public java.lang.String getNodeValue(int node)

  Specified by:
    getNodeValue in interface DOM

### copy

    public void copy(int node,
                     TransletOutputHandler handler)
              throws TransletException

  Specified by:
    copy in interface DOM

### copy

    public void copy(NodeIterator nodes,
                     TransletOutputHandler handler)
              throws TransletException

  Specified by:
    copy in interface DOM

### shallowCopy

    public java.lang.String shallowCopy(int node,
                                        TransletOutputHandler handler)
                                 throws TransletException

  Specified by:
    shallowCopy in interface DOM

### lessThan

    public boolean lessThan(int node1,
                            int node2)

  Specified by:
    lessThan in interface DOM

### characters

    public void characters(int textNode,
                           TransletOutputHandler handler)
                    throws TransletException

  Specified by:
    characters in interface DOM

### setFilter

    public void setFilter(StripFilter filter)

  Specified by:
    setFilter in interface DOM

### makeNode

    public Node makeNode(int index)

  Specified by:
    makeNode in interface DOM

### makeNode

    public Node makeNode(NodeIterator iter)

  Specified by:
    makeNode in interface DOM

### makeNodeList

    public NodeList makeNodeList(int index)

  Specified by:
    makeNodeList in interface DOM

### makeNodeList

    public NodeList makeNodeList(NodeIterator iter)

  Specified by:
    makeNodeList in interface DOM

### getLanguage

    public java.lang.String getLanguage(int node)

  Specified by:
    getLanguage in interface DOM

### getSize

    public int getSize()

  Specified by:
    getSize in interface DOM

### getDocumentURI

    public java.lang.String getDocumentURI(int node)

  Specified by:
    getDocumentURI in interface DOM

### isElement

    public boolean isElement(int node)

  Specified by:
    isElement in interface DOM

### isAttribute

    public boolean isAttribute(int node)

  Specified by:
    isAttribute in interface DOM

### lookupNamespace

    public java.lang.String lookupNamespace(int node,
                                            java.lang.String prefix)
                                     throws TransletException

  Specified by:
    lookupNamespace in interface DOM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.